Summary: userv Security Boundary Daemon
Name: userv
Version: 1.0.1
Release: 1
Copyright: GPL
Url: http://www.chiark.greenend.org.uk/~ian/userv/
Packager: Matthew Byng-Maddick <mbm@colondot.net>
Group: System Environment/Daemons
Buildroot: /var/tmp/userv-build.root
ExclusiveOS: Linux
Source: ftp.chiark.greenend.org.uk/users/ian/userv/userv-%{version}.tar.gz
Source1: userv.init

%description
userv is a tool written by Ian Jackson <ian@chiark.greenend.org.uk> to
manage the boundaries of trust between processes. It allows in effect for
the systems administrator to allow such things as setuid scripts securely.

%prep
%setup -q

%build
./configure
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/var/run
mkdir -p $RPM_BUILD_ROOT/etc/

install -c -o root -g root -m 775 daemon $RPM_BUILD_ROOT/usr/sbin/uservd
install -c -o root -g root -m 4775 client $RPM_BUILD_ROOT/usr/bin/userv
install -c -d -m 2755 $RPM_BUILD_ROOT/etc/userv \
	$RPM_BUILD_ROOT/etc/userv/default.d \
	$RPM_BUILD_ROOT/etc/userv/services.d \
	$RPM_BUILD_ROOT/etc/userv/override.d \
	$RPM_BUILD_ROOT/var/run/userv
install -c -m 644 system.default $RPM_BUILD_ROOT/etc/userv
install -c -m 644 system.override $RPM_BUILD_ROOT/etc/userv

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install userv.1 $RPM_BUILD_ROOT/usr/man/man1/userv.1

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install $RPM_SOURCE_DIR/userv.init $RPM_BUILD_ROOT/etc/rc.d/init.d/userv

strip $RPM_BUILD_ROOT/usr/sbin/* || :
strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add userv

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del userv
fi

%files
%defattr(-,root,root)
/usr/sbin/uservd
/usr/bin/userv
/usr/man/*/*
%dir /etc/userv
%dir /etc/userv/default.d
%dir /etc/userv/override.d
%dir /etc/userv/services.d
%dir /var/run/userv
%config(noreplace) /etc/userv/system.default
%config(noreplace) /etc/userv/system.override
%config /etc/rc.d/init.d/userv

%doc COPYING INSTALL README spec.html spec.ps spec.sgml
%doc overview.ps

%changelog
* Thu Jul 27 2000 Matthew Byng-Maddick
- updated to userv-1.0.1 following security advisory
* Wed Jun 28 2000 Matthew Byng-Maddick
- First release
